CVE-2020-26664

NameCVE-2020-26664
DescriptionA vulnerability in EbmlTypeDispatcher::send in VideoLAN VLC media player 3.0.11 allows attackers to trigger a heap-based buffer overflow via a crafted .mkv file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4834-1
NVD severitymedium
Debian Bugs979676

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
vlc (PTS)stretch3.0.11-0+deb9u1vulnerable
stretch (security)3.0.11-0+deb9u2vulnerable
buster, buster (security)3.0.12-0+deb10u1fixed
bookworm, sid, bullseye3.0.16-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
vlcsourcebuster3.0.12-0+deb10u1DSA-4834-1
vlcsource(unstable)3.0.12-1low979676

Notes

[stretch] - vlc <postponed> (Minor issue, wait for next LTS release)
https://code.videolan.org/videolan/vlc-3.0/-/commit/ec1f55ee9ace5cc675395a1bc9700d99679e7e8c (3.0.12)
https://gist.githubusercontent.com/henices/db11664dd45b9f322f8514d182aef5ea/raw/d56940c8bf211992bf4f3309a85bb2b69383e511/CVE-2020-26664.txt

Search for package or bug name: Reporting problems